GrailsPackagingAwarePomModuleDescriptorBuilder (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.maven
[Java] Class GrailsPackagingAwarePomModuleDescriptorBuilder

    java.lang.Object
      org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder
          org.codehaus.groovy.grails.resolve.maven.GrailsPackagingAwarePomModuleDescriptorBuilder

    @java.lang.SuppressWarnings({ "rawtypes", "unchecked" })
    public class GrailsPackagingAwarePomModuleDescriptorBuilder
    extends org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder

A POM module descriptor builder that is aware of Grails packaging types

Authors:
  Graeme Rocher

Field Summary
`static java.lang.String` | `GRAILS_APP_PACKAGING`
`static java.lang.String` | `GRAILS_BINARY_PLUGIN_PACKAGING`
`static java.lang.String` | `GRAILS_PLUGIN_PACKAGING`

Fields inherited from class org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder
MAVEN2_CONFIGURATIONS

Constructor Summary
`GrailsPackagingAwarePomModuleDescriptorBuilder(org.apache.ivy.plugins.parser.ModuleDescriptorParser parser, org.apache.ivy.plugins.repository.Resource res, org.apache.ivy.plugins.parser.ParserSettings ivySettings)`

Method Summary
`void` | `addDependency(org.apache.ivy.plugins.repository.Resource res, org.apache.ivy.plugins.parser.m2.PomReader$PomDependencyData dep)`
`void` | `addMainArtifact(java.lang.String artifactId, java.lang.String packaging)`

Methods inherited from class org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder
org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#getModuleDescriptor(), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#getPlugins(org.apache.ivy.core.module.descriptor.ModuleDescriptor), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#addProperty(java.lang.String, java.lang.String), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#setDescription(java.lang.String), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#addDependency(org.apache.ivy.plugins.repository.Resource, org.apache.ivy.plugins.parser.m2.PomReader$PomDependencyData), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#addDependency(org.apache.ivy.core.module.descriptor.DependencyDescriptor), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#addMainArtifact(java.lang.String, java.lang.String), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#setModuleRevId(java.lang.String, java.lang.String, java.lang.String), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#setHomePage(java.lang.String), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#setLicenses([Lorg.apache.ivy.core.module.descriptor.License;), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#getMainArtifact(), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#addDependencyMgt(org.apache.ivy.plugins.parser.m2.PomDependencyMgt), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#getDependencyManagementMap(org.apache.ivy.core.module.descriptor.ModuleDescriptor), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#getDependencyManagements(org.apache.ivy.core.module.descriptor.ModuleDescriptor), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#addExtraInfos(java.util.Map), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#extractPomProperties(java.util.Map), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#getSourceArtifact(), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#getSrcArtifact(), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#getJavadocArtifact(), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#addSourceArtifact(), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#addSrcArtifact(), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#addJavadocArtifact(), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#addPlugin(org.apache.ivy.plugins.parser.m2.PomDependencyMgt), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#wait(long, int), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#wait(long), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#wait(), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#equals(java.lang.Object), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#toString(), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#hashCode(), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#getClass(), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#notify(), org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### GRAILS_APP_PACKAGING

    public static final java.lang.String GRAILS_APP_PACKAGING

### GRAILS_BINARY_PLUGIN_PACKAGING

    public static final java.lang.String GRAILS_BINARY_PLUGIN_PACKAGING

### GRAILS_PLUGIN_PACKAGING

    public static final java.lang.String GRAILS_PLUGIN_PACKAGING

Constructor Detail

### GrailsPackagingAwarePomModuleDescriptorBuilder

    public GrailsPackagingAwarePomModuleDescriptorBuilder(org.apache.ivy.plugins.parser.ModuleDescriptorParser parser, org.apache.ivy.plugins.repository.Resource res, org.apache.ivy.plugins.parser.ParserSettings ivySettings)

Method Detail

### addDependency

    @java.lang.Override
    public void addDependency(org.apache.ivy.plugins.repository.Resource res, org.apache.ivy.plugins.parser.m2.PomReader$PomDependencyData dep)

### addMainArtifact

    @java.lang.Override
    public void addMainArtifact(java.lang.String artifactId, java.lang.String packaging)

Groovy Documentation